<?php


namespace App\Http\Controllers\front;
use App\Http\Controllers\Controller;
use App\Models\logo;
use App\Models\phone;
use App\Models\email;
use App\Models\Address;
use App\Models\about;
use App\Models\service;
use App\Models\invests;



use LaravelLocalization;

class aboutUsController extends Controller
{

    function aboutUs(){

        $logos =  logo::All();

        $phones =  phone::All();
        $emails =  email::All();
        $addresses =  address::select('id',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title', ) -> get();

        $abouts =  about::select('id',
        'details_' . LaravelLocalization::getCurrentLocale() . ' as details') -> get();


        $invests =  invest::select('id',
         'slug',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title') -> get();

        $services =  service::select('id',
        'photo',
        'slug',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title',) -> get();

          $allServices = $services;

        return view('front.aboutUs', compact('logos', 'services', 'invests', 'allServices', 'abouts', 'phones', 'emails', 'addresses'));
    }




}
